package com.hzya.frame.sys.apireflection.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 接口映射配置  entity
 * @tableName: sys_api_reflection
 * @entityName: ApiReflectionEntity
 * @author: gjh
 * @history: 1.0
 */
public class  ApiReflectionEntity extends BaseEntity {

	/** 源接口ID */
	private String source_api_id;
	/** 目标接口ID */
	private String target_api_id;
	/** 备注 */
	private String remark;
	/** 排序 */
	private String sorts;
	/** 无备注 */
	private String org_id;
	/** 无备注 */
	private String source_api_app;
	/** 无备注 */
	private String target_api_app;
	/** 无备注 */
	private String ref_code;
	/** 无备注 */
	private String ref_name;
	/** 无备注 */
	private String ref_type;
	/** 无备注 */
	private String description;
    private String id;
	/*是否插件*/
	private String plug;
	/*插件id*/
	private String plug_id;

	public String getPlug() {
		return plug;
	}

	public void setPlug(String plug) {
		this.plug = plug;
	}

	public String getPlug_id() {
		return plug_id;
	}

	public void setPlug_id(String plug_id) {
		this.plug_id = plug_id;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	/** 源接口ID */
	public void setSource_api_id(String source_api_id) {
			this.source_api_id = source_api_id;
			}
	/** 源接口ID */
	public String getSource_api_id() {
			return source_api_id;
			}


	/** 目标接口ID */
	public void setTarget_api_id(String target_api_id) {
			this.target_api_id = target_api_id;
			}
	/** 目标接口ID */
	public String getTarget_api_id() {
			return target_api_id;
			}


	/** 备注 */
	public void setRemark(String remark) {
			this.remark = remark;
			}
	/** 备注 */
	public String getRemark() {
			return remark;
			}


	/** 排序 */
	public void setSorts(String sorts) {
			this.sorts = sorts;
			}


	/** 无备注 */
	@Override
    public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 无备注 */
	@Override
    public String getOrg_id() {
			return org_id;
			}


	/** 无备注 */
	public void setSource_api_app(String source_api_app) {
			this.source_api_app = source_api_app;
			}
	/** 无备注 */
	public String getSource_api_app() {
			return source_api_app;
			}


	/** 无备注 */
	public void setTarget_api_app(String target_api_app) {
			this.target_api_app = target_api_app;
			}
	/** 无备注 */
	public String getTarget_api_app() {
			return target_api_app;
			}


	/** 无备注 */
	public void setRef_code(String ref_code) {
			this.ref_code = ref_code;
			}
	/** 无备注 */
	public String getRef_code() {
			return ref_code;
			}


	/** 无备注 */
	public void setRef_name(String ref_name) {
			this.ref_name = ref_name;
			}
	/** 无备注 */
	public String getRef_name() {
			return ref_name;
			}


	/** 无备注 */
	public void setRef_type(String ref_type) {
			this.ref_type = ref_type;
			}
	/** 无备注 */
	public String getRef_type() {
			return ref_type;
			}


	/** 无备注 */
	public void setDescription(String description) {
			this.description = description;
			}
	/** 无备注 */
	public String getDescription() {
			return description;
			}


}
